%define version 4.3.0
%define release alt9
%setup_python_module bsddb3

Summary: Python interface for BerkeleyDB 3.2 thru 4.2
Summary(ru_RU.KOI8-R): Python'   BerkeleyDB 4.2
Name: %{packagename}
Version: %{version}
Release: %{release}.1
Source0: %{modulename}-%{version}.tar.gz
License: ZPL
Group: Development/Python
Prefix: %{_prefix}
Vendor: Robin Dunn, Gregory P. Smith, Andrew Kuchling, Barry Warsaw <pybsddb-users@lists.sourceforge.net>
Url: http://pybsddb.sf.net/
BuildRequires: libdb4.3-devel
Obsoletes: bsddb3 <= 4.2.4-alt1

%description
This module provides a nearly complete wrapping
of the Sleepycat C API for the Database
Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python
type in the bsddb3.db module.  The databse objects
can use various access methods: btree, hash, recno,
and queue.  For the first time all of these are
fully supported in the Python wrappers.  Please see
the documents in the docs directory of the source
distribution or at the website for more details on
the types and methods provided.

%description -l ru_RU.KOI8-R
      Sleepycat C API  
  ,  ,   ,    
       bsddb3.db.   
     : btree, hash,
recno  queue.     ,    
 .  ,    
 -,        .

%prep
%setup  -q -n %modulename-%version

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc *.txt docs

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 4.3.0-alt9.1
- Rebuilt with python-2.5.

* Sun Mar 13 2005 Andrey Orlov <cray@altlinux.ru> 4.3.0-alt9
- Rebuild with python-2.4

* Tue Jan 11 2005 Andrey Orlov <cray@altlinux.ru> 4.3.0-alt8
- New version

* Wed May 19 2004 Andrey Orlov <cray@altlinux.ru> 4.2.4-alt8
- Obsoleting of previous packages added

* Tue May 18 2004 Andrey Orlov <cray@altlinux.ru> 4.2.4-alt7
- Conditional clauses removed from spec

* Mon May 10 2004 Andrey Orlov <cray@altlinux.ru> 4.2.4-alt6.d
- Rebuild

* Thu Apr 22 2004 Andrey Orlov <cray@altlinux.ru> 4.2.4-alt5.d
- Rebuild with new rpm/python macros

* Tue Apr 13 2004 Andrey Orlov <cray@altlinux.ru> 4.2.4-alt4.d
- Rebuild with new rpm/python macros

* Thu Mar 25 2004 Andrey Orlov <cray@altlinux.ru> 4.2.4-alt3.d
- Fix new python policy compatibility

* Fri Feb 13 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.4-alt1
- Updated to 4.2.4.

* Mon Sep 29 2003 Andrey Orlov <cray@altlinux.ru> 4.1.6-alt1
- Extended DB & DBEnv set_get_returns_none functionality to take a
  "level" instead of a boolean flag.  The boolean 0 and 1 values still
  have the same effect.  A value of 2 extends the "return None instead
  of raising an exception" behaviour to the DBCursor set methods.
  This will become the default behaviour in pybsddb 4.2.
- Updated documentation for set_get_returns_none.  Regenerated the
  stale html docs from the text documentation.
- Fixed a typo in DBCursor.join_item method that made it crash instead
  of returning a value.  Obviously nobody uses it.  Wrote a test case
  for join and join_item.
- Added the dbobj wrapper for DBEnv set_timeout method.
- Updated README.txt
- 4.1.5:
- Added the DBEnv.set_timeout method.
-  4.1.4:
- rebuilt the windows 4.1.3 package, the original package was corrupt due
  to bad ram on my build host.
- 4.1.3 - 2003-02-02:
- code cleanup to use python 2.x features in .py files
- the standalone pybsddb distribution will install a module
  called bsddb3 while the module included with python >= 2.3
  will be known as bsddb.
-  4.1.2 - 2003-01-17:
- Shared all .py and .c source with the Python project.
- Fixed DBTxn objects to raise an exception if they are used after
  the underlying DB_TXN handle becomes invalid. (rather than
  potentially causing a segfault)
- Fixed module to work when compiled against a python without thread
  support.
- Do not attempt to double-close DB cursor's whos underlying DB
  has already been closed (fixes a segfault).
- Close DB objects when DB.open fails to prevent an exception about
  databases still being open when calling DBEnv.close.
- 4.1.1 - 2002-12-20:
- Fixed a memory leak when raising exceptions from the database
  library.  Debugged and fixed by Josh Hoyt <josh@janrain.com>.  Thanks!
  (sourceforge patch 656517)
- 4.1.0 - 2002-12-13:
- Updated our version number to track the latest BerkeleyDB interface
  version that we support.
- Simplified the build and test process.  Now you should just be able
  to say "python setup.py build" and "python setup.py install".  Also
  added a nice test.py harness.  Do "python test.py -h" for details.
- The windows binary is build against BerkeleyDB 4.1.24 with current
  eight patches issued by Sleepycat applied.
- REMINDER: BerkeleyDB 4.1 requires code changes if you use database
  transactions.  See the upgrade docs on http://www.sleepycat.com/.
- 3.4.3 - 2002-10-18:
- added support for BerkeleyDB 4.1:  DB.open and DB.associate
  will now accept a txn keyword argument when using BerkeleyDB 4.1.
  DBEnv.dbremove, DBEnv.dbrename, DBEnv.set_encrypt and DB.set_encrypt
  methods have been exposed for 4.1.
- 3.4.2 - 2002-08-14:
- dbtables.py: serious bug fix.  The Select, Modify and Delete methods could
  all act upon rows that did not match all of the conditions.  (bug # 590449)
  A test case was added.
- dbutils.py: updated DeadlockWrap
- test_threads.py: fixed to use dbutils.DeadlockWrap to catch and avoid
  DBLockDeadlockError exceptions during simple threading tests.
- 3.4.1:
- fixed typo cut and paste bugs in test_dbsimple.py and test_threads.py
- fixed bug with cursors where calling DBCursor.close() would cause
  the object's destructor __del__() method to raise an exception when
  it was called by the gc.
- fixed a bug in associated callbacks that could cause a null pointer
  dereference when python threading had not yet been initialized.

* Sun Oct 13 2002 Andrey Orlov <cray@altlinux.ru>  3.4.0-alt1
- Initial CHANGELOG
